package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Gender;
import com.realnet.vpspack.Services.GenderService ;






@RequestMapping(value = "/Gender")
 @CrossOrigin("*") 
@RestController
public class GenderController {
	@Autowired
	private GenderService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Gender")
		  public Gender Savedata(@RequestBody Gender data) {
		Gender save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Gender/{id}")
	public  Gender update(@RequestBody Gender data,@PathVariable Integer id ) {
		Gender update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Gender/getall/page")
	public Page<Gender> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Gender> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Gender")
	public List<Gender> getdetails() {
		 List<Gender> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Gender")
	public List<Gender> getallwioutsec() {
		 List<Gender> get = Service.getdetails();		
		return get;
}
@GetMapping("/Gender/{id}")
	public  Gender  getdetailsbyId(@PathVariable Integer id ) {
		Gender  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Gender/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}